#include <iostream>
#include<string>
using namespace std;

int main()
{
    int br=0,j;
    int n;cin>>n;
    int a[n],b[n];
    for(int i=1;i<=n;i++){
       cin>>a[i];
       if(a[i]>=a[i-1])
          b[i]=0;
       else
          b[i]=1;}
    int q;cin>>q;
    int p,k;
    string t[q];
    for(int i=0;i<q;i++){
        cin>>p>>k;
        t[i]="DA";
        for(int j=p;j<k;j++){
            br+=b[j];
            if(br==2)t[i]="NE";
        }
        br=0;
    }
    for(int i=0;i<q;i++)
         cout<<t[i]<<endl;

    return 0;
}